Skip to main content
GET
/
v2
/
api
ERC20 Token Transfers Advanced Filter
curl --request GET \
  --url https://api.etherscan.io/v2/api
import requests

url = "https://api.etherscan.io/v2/api"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.etherscan.io/v2/api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "4730207",
      "timeStamp": "1513240363",
      "hash": "0xe8c208398bd5ae8e4c237658580db56a2a94dfa0ca382c99b776fa6e7d31d5b4",
      "nonce": "406",
      "blockHash": "0x022c5e6a3d2487a8ccf8946a2ffb74938bf8e5c8a3f6d91b41c56378a96b5c37",
      "from": "0x642ae78fafbb8032da552d619ad43f1d81e4dd7c",
      "contractAddress": "0x9f8f72aa9304c8b593d555f12ef6589cc3a579a2",
      "to": "0x4e83362442b8d1bec281594cea3050c8eb01311c",
      "value": "5901522149285533025181",
      "tokenName": "Maker",
      "tokenSymbol": "MKR",
      "tokenDecimal": "18",
      "transactionIndex": "81",
      "gas": "940000",
      "gasPrice": "32010000000",
      "gasUsed": "77759",
      "cumulativeGasUsed": "2523379",
      "input": "deprecated",
      "methodId": "0xbe040fb0",
      "functionName": "redeem()",
      "confirmations": "18737452"
    }
  ]
}
Beta Explore and preview data from our Advanced Filter page.

Query parameters.

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, such as 1 for Ethereum or 8453 for Base from our supported chains.
module
string
default:"account"
Set to account for this endpoint.
action
string
default:"tokentx"
Set to tokentx for this endpoint.
contractaddress
string
default:"0x9f8f72aa9304c8b593d555f12ef6589cc3a579a2"
The ERC20 token contract address to filter transfers by.
from
string
default:"0x73605779985A11B8Fe32E6eD5ae5F249FFD0D7f0"
The sender address to filter transactions by.
to
string
default:"0x71c7656ec7ab88b098defb751b7401b5f6d8976f"
The recipient address to filter transactions by.
fromto_opr
string
default:"or"
Address filter operator, either and or or.Use fromto_opr=and when both from and to must match. Use fromto_opr=or when either from or to can match.
startblock
integer
default:"0"
Starting block number to search from.
endblock
string
default:"latest"
Ending block number to search to, or latest for the latest block.
sort
string
default:"desc"
Sort order, either desc for the latest transactions first or asc for the oldest transactions first.
page
integer
default:"1"
Page number for pagination.
offset
integer
default:"10"
Number of records per page. Use the page parameter for subsequent records.
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "4730207",
      "timeStamp": "1513240363",
      "hash": "0xe8c208398bd5ae8e4c237658580db56a2a94dfa0ca382c99b776fa6e7d31d5b4",
      "nonce": "406",
      "blockHash": "0x022c5e6a3d2487a8ccf8946a2ffb74938bf8e5c8a3f6d91b41c56378a96b5c37",
      "from": "0x642ae78fafbb8032da552d619ad43f1d81e4dd7c",
      "contractAddress": "0x9f8f72aa9304c8b593d555f12ef6589cc3a579a2",
      "to": "0x4e83362442b8d1bec281594cea3050c8eb01311c",
      "value": "5901522149285533025181",
      "tokenName": "Maker",
      "tokenSymbol": "MKR",
      "tokenDecimal": "18",
      "transactionIndex": "81",
      "gas": "940000",
      "gasPrice": "32010000000",
      "gasUsed": "77759",
      "cumulativeGasUsed": "2523379",
      "input": "deprecated",
      "methodId": "0xbe040fb0",
      "functionName": "redeem()",
      "confirmations": "18737452"
    }
  ]
}